# Command line options

Options should be preceded with dash (-) or double dash (--) sign. Option parameters follow equation sign (=), if any, and should be double quoted in case they contain spaces. You can shorten option names down to first clear differetiable notation. F.e. you can shorten --start and --stop options down to -sta -sto accordingly. There are two types of options: positional and position independed. Position independed options can be anywhere in command line string and they will be interpreted before any other positional options. Positional options interpreted and executed in order of their appearance so you can easily do things in batch. F.e. you can install and start gatekeeper service at once by specifying --install --start.

## 1. Available options

Position independed

Option | Description
--- | ---
--configuration<=filename> | Use configuration file location.
--noconsole -n | Disable console output.
--consolefile[=filename] | Write console output to a file.
--daemon -d | Start gatekeeper in daemon mode. (Unix only)

Positional

Option | Description
--- | ---
--help -h -? | Help.
--install -i | Install gatekeeper service. (Win32 only)
--uninstall -u | Uninstall gatekeeper service. (Win32 only)
--start | Start installed gatekeeper service. (Win32 only)
--stop | Stop installed gatekeeper service. (Win32 only)

Configuration file path defaulting to executable file folder under win32 and to /etc/ under Unixes.